Email sending
Add email domain
Add a new email domain for DKIM verification. Returns the DKIM TXT record to add to DNS.
POST
/
orgs
/
emails
/
domains
Add email domain
curl --request POST \
--url https://api.useinvent.com/orgs/emails/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>"
}
'import requests
url = "https://api.useinvent.com/orgs/emails/domains"
payload = { "domain": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>'})
};
fetch('https://api.useinvent.com/orgs/emails/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"domain": "<string>",
"dkim_status": "PENDING",
"dkim_tokens": [
{
"name": "<string>",
"value": "<string>"
}
],
"verified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer token authentication using your API key
Body
application/jsonmultipart/form-data
Schema for adding a new email domain
Domain name to verify for DKIM
Required string length:
1 - 512Response
200 - application/json
An email domain with DKIM verification
Unique identifier for the email domain
The domain name
DKIM verification status of an email domain
Available options:
PENDING, VERIFIED, FAILED DKIM CNAME records to add to DNS
Show child attributes
Show child attributes
Timestamp when the domain was verified
Timestamp when the domain was created
Timestamp when the domain was last updated
Was this page helpful?
⌘I
Add email domain
